L'opzione Risolvi di Controllo prerequisiti di vRealize Automation non riesce e vengono visualizzati messaggi nei quali è indicata l'impossibilità di trovare l'origine di installazione di .NET 3.5.1.

Problema

Controllo prerequisiti deve verificare che .NET 3.5.1 sia installato per poter soddisfare i requisiti per i sistemi Windows Server 2008 R2 con IIS 7.5 e i sistemi Windows Server 2012 R2 con IIS 8.

Causa

Per Windows Server 2012 R2, l'impossibilità di connettersi a Internet può impedire l'installazione automatica di .NET. Anche determinati aggiornamenti di Windows 2012 R2 possono impedire l'installazione. Il problema si verifica perché la versione di Windows non dispone di una copia locale dell'origine di installazione di .NET Framework 3.5.

Soluzione

Fornire manualmente un'origine di installazione di .NET Framework 3.5.

  1. Sull'host Windows, montare un'immagine ISO del supporto d'installazione di Windows Server 2012 R2.

  2. In Server Manager, abilitare .NET Framework 3.5 utilizzando Aggiunta guidata ruoli e funzionalità.

  3. Durante la procedura guidata, selezionare il percorso d'installazione di .NET Framework 3.5 nell'immagine ISO del supporto.

  4. Dopo aver aggiunto .NET Framework 3.5, eseguire nuovamente Controllo prerequisiti di vRealize Automation.